Orxonox: orxonox::ReplenishingMunition Class Reference

# orxonox::ReplenishingMunition Class Reference

`#include <src/orxonox/objects/weaponsystem/munitions/ReplenishingMunition.h>`

Inheritance diagram for orxonox::ReplenishingMunition:

List of all members.

## Public Member Functions

| ReplenishingMunition (BaseObject *creator)
virtual | ~ReplenishingMunition ()

## Protected Attributes

float | replenishIntervall_
unsigned int | replenishMunitionAmount_

## Private Member Functions

void | initializeTimer ()
void | replenish ()

## Private Attributes

Timer< ReplenishingMunition > | replenishingTimer_

## Constructor & Destructor Documentation

orxonox::ReplenishingMunition::ReplenishingMunition | ( | BaseObject * | creator | ) |

References orxonox::createExecutor(), initializeTimer(), RegisterObject, replenishingTimer_, replenishIntervall_, and replenishMunitionAmount_.

virtual orxonox::ReplenishingMunition::~ReplenishingMunition | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::ReplenishingMunition::initializeTimer | ( |  | ) | `[private]`

References orxonox::createExecutor(), replenish(), replenishingTimer_, and replenishIntervall_.

Referenced by ReplenishingMunition().

void orxonox::ReplenishingMunition::replenish | ( |  | ) | `[private]`

References orxonox::Munition::addMunition(), orxonox::Munition::bAllowMunitionRefilling_, and replenishMunitionAmount_.

Referenced by initializeTimer().

## Member Data Documentation

Timer<ReplenishingMunition> orxonox::ReplenishingMunition::replenishingTimer_`[private]`

Referenced by initializeTimer(), and ReplenishingMunition().

float orxonox::ReplenishingMunition::replenishIntervall_`[protected]`

Referenced by initializeTimer(), orxonox::LaserMunition::LaserMunition(), and ReplenishingMunition().

unsigned int orxonox::ReplenishingMunition::replenishMunitionAmount_`[protected]`

Referenced by orxonox::LaserMunition::LaserMunition(), replenish(), and ReplenishingMunition().

The documentation for this class was generated from the following files:

- src/orxonox/objects/weaponsystem/munitions/ReplenishingMunition.h
- src/orxonox/objects/weaponsystem/munitions/ReplenishingMunition.cc